Module jdk.jdi
Package com.sun.jdi.event

## Interface MonitorContendedEnterEvent

All Superinterfaces:
  `Event`, `Locatable`, `LocatableEvent`, `Mirror`

    public interface MonitorContendedEnterEvent
    extends LocatableEvent

Notification that a thread in the target VM is attempting to enter a monitor that is already acquired by another thread.

Since:
  1.6
See Also:
  `EventQueue`, `MonitorContendedEnteredEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`ObjectReference` `monitor()` Returns the method that was entered.
`ThreadReference` `thread()` Returns the thread in which this event has occurred.

### Methods declared in interface com.sun.jdi.event.Event

`request`

### Methods declared in interface com.sun.jdi.Locatable

`location`

### Methods declared in interface com.sun.jdi.Mirror

`toString, virtualMachine`

### Method Detail

#### thread

    ThreadReference thread()

Returns the thread in which this event has occurred.

Specified by:
  `thread` in interface `LocatableEvent`
Returns:
  a `ThreadReference` which mirrors the event's thread in the target VM.

#### monitor

    ObjectReference monitor()

Returns the method that was entered.

Returns:
  an `ObjectReference` for the monitor.